<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:ns0="urn:sap-com:document:sap:rfc:functions" xmlns:ns="http://sap.com/xi/XI/Mail/30">

<xsl:output method="xml" encoding="utf-8" indent="yes" />

<xsl:template match="/">
     <xsl:apply-templates select="INVOIC01"/>
</xsl:template>

<xsl:template match="INVOIC01">
 <ns:Mail>
   <Subject>
     <xsl:text>Invoice: </xsl:text>
     <xsl:value-of select="IDOC/E1EDK01/BELNR" />
   </Subject>
   <From>
     <xsl:text>Sender</xsl:text>
   </From>
   <To>
     <xsl:text>Receiver</xsl:text>
   </To>
   <Content_Type>
     <xsl:text>text/html</xsl:text>
   </Content_Type>
   <Content>
     <html>
       <head>
         <meta content="text/html;charset=ISO-88591" http-equiv="Content-Type" />
       </head>
       <body>
         <xsl:text>We will charge the following positions:</xsl:text>
         <br/><br/>
         <table border="1" cellPadding="1" cellSpacing="1" width="60 %">
           <tr>
             <th>Productnumber</th>
             <th>Description</th>
             <th>Quantity</th>
             <th>Unit</th>
             <th>Price</th>
           </tr>
           <xsl:apply-templates select="IDOC/E1EDP01" />
         </table>
       </body>
     </html>
   </Content>
 </ns:Mail>
</xsl:template>

<xsl:template match="IDOC/E1EDP01">
  <tr>
    <td>
      <xsl:value-of select="E1EDP19[QUALF=002]/IDTNR" />
    </td>
    <td>
      <xsl:value-of select="E1EDP19[QUALF=002]/KTEXT" />
    </td>
    <td><xsl:value-of select="MENGE" /></td>
    <td><xsl:value-of select="MENEE" /></td>
    <td>
      <xsl:value-of select="E1EDP26[QUALF=004]/BETRG" />
      <xsl:text> EUR</xsl:text>
    </td>
  </tr>
</xsl:template>

</xsl:stylesheet>